#ifndef main_H
#define main_H

#define WIN32_LEAN_AND_MEAN
#include <Windows.h>
#include <Windows.h>

#define LTStart __stdcall

namespace Framework
{
	struct Startparam
	{
		HINSTANCE hinst, hpinst;
		LPSTR cmd;
		int show;
	};

	int LTStart Start( Startparam p );
}

int WINAPI WinMain( HINSTANCE hinst, HINSTANCE hpinst, LPSTR cmd, int show )
{
	Framework::Startparam stp;
	stp.hinst = hinst;
	stp.hpinst = hpinst;
	stp.cmd = cmd;
	stp.show = show;
	return Framework::Start( stp );
}

#endif